Package org.snpeff.interval

# Enum Class Exon.ExonSpliceType

java.lang.Object
java.lang.Enum<Exon.ExonSpliceType>
org.snpeff.interval.Exon.ExonSpliceType

All Implemented Interfaces:
  `Serializable`, `Comparable<Exon.ExonSpliceType>`, `Constable`

Enclosing class:
  `Exon`

public static enum Exon.ExonSpliceType extends Enum<Exon.ExonSpliceType>
Characterize exons based on alternative splicing References: "Alternative splicing and evolution - diversification, exon definition and function" (see Box 1)

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALTTENATIVE_3SS`
`ALTTENATIVE_5SS`
`ALTTENATIVE_POLY_A`
`ALTTENATIVE_PROMOMOTER`
`MUTUALLY_EXCLUSIVE`
`NONE`
`RETAINED`
`SKIPPED`

## Method Summary

Modifier and Type
Method
Description
`static Exon.ExonSpliceType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Exon.ExonSpliceType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final Exon.ExonSpliceType NONE

### RETAINED

public static final Exon.ExonSpliceType RETAINED

### SKIPPED

public static final Exon.ExonSpliceType SKIPPED

### ALTTENATIVE_3SS

public static final Exon.ExonSpliceType ALTTENATIVE_3SS

### ALTTENATIVE_5SS

public static final Exon.ExonSpliceType ALTTENATIVE_5SS

### MUTUALLY_EXCLUSIVE

public static final Exon.ExonSpliceType MUTUALLY_EXCLUSIVE

### ALTTENATIVE_PROMOMOTER

public static final Exon.ExonSpliceType ALTTENATIVE_PROMOMOTER

### ALTTENATIVE_POLY_A

public static final Exon.ExonSpliceType ALTTENATIVE_POLY_A

## Method Details

### values

public static Exon.ExonSpliceType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Exon.ExonSpliceType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null